Index: /branches/GeneralizedQAP/GeneralizedQAP.sln
===================================================================
--- /branches/GeneralizedQAP/GeneralizedQAP.sln	(revision 7411)
+++ /branches/GeneralizedQAP/GeneralizedQAP.sln	(revision 7412)
@@ -10,5 +10,17 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common-3.3", "HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common\3.3\HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common-3.3.csproj", "{DA367BE5-4F53-4243-933B-32AAB86189D5}"
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UnitTests", "UnitTests\UnitTests.csproj", "{68C6C157-08DA-414F-9256-CCCA13038399}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{7275B9B0-0E8D-471E-9F64-067E1F85BB71}"
+	ProjectSection(SolutionItems) = preProject
+		GeneralizedQAP.vsmdi = GeneralizedQAP.vsmdi
+		Local.testsettings = Local.testsettings
+		TraceAndTestImpact.testsettings = TraceAndTestImpact.testsettings
+	EndProjectSection
+EndProject
 Global
+	GlobalSection(TestCaseManagementSettings) = postSolution
+		CategoryFile = GeneralizedQAP.vsmdi
+	EndGlobalSection
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
@@ -52,4 +64,12 @@
 		{DA367BE5-4F53-4243-933B-32AAB86189D5}.Release|x64.ActiveCfg = Release|Any CPU
 		{DA367BE5-4F53-4243-933B-32AAB86189D5}.Release|x86.ActiveCfg = Release|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Release|Any CPU.Build.0 = Release|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Release|x64.ActiveCfg = Release|Any CPU
+		{68C6C157-08DA-414F-9256-CCCA13038399}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/GeneralizedQAP/GeneralizedQAP.vsmdi
===================================================================
--- /branches/GeneralizedQAP/GeneralizedQAP.vsmdi	(revision 7412)
+++ /branches/GeneralizedQAP/GeneralizedQAP.vsmdi	(revision 7412)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="UTF-8"?>
+<TestLists xmlns="http://microsoft.com/schemas/VisualStudio/TeamTest/2010">
+  <TestList name="Lists of Tests" id="8c43106b-9dc1-4907-a29f-aa66a61bf5b6">
+    <RunConfiguration id="0c5645ea-4f25-4faf-bdb6-6c685aa774f5" name="Local" storage="local.testsettings" type="Microsoft.VisualStudio.TestTools.Common.TestRunConfiguration, Microsoft.VisualStudio.QualityTools.Common, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
+  </TestList>
+</TestLists>
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinking.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinking.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinking.cs	(revision 7412)
@@ -61,4 +61,7 @@
       get { return (IValueParameter<MultiAnalyzer>)Parameters["Analyzer"]; }
     }
+    public IValueParameter<IntValue> MaximumIterationsParameter {
+      get { return (IValueParameter<IntValue>)Parameters["MaximumIterations"]; }
+    }
     private IFixedValueParameter<IntValue> EliteSetSizeParameter {
       get { return (IFixedValueParameter<IntValue>)Parameters["EliteSetSize"]; }
@@ -76,5 +79,5 @@
       get { return (ConstrainedValueParameter<ICrossover>)Parameters["PathRelinking"]; }
     }
-    public ConstrainedValueParameter<IMerger> EliteSetReplacerParameter {
+    public ConstrainedValueParameter<IMerger> EliteSetMergerParameter {
       get { return (ConstrainedValueParameter<IMerger>)Parameters["EliteSetMerger"]; }
     }
@@ -106,5 +109,11 @@
       get { return (RandomCreator)OperatorGraph.InitialOperator; }
     }
-    #endregion
+    private GRASPWithPathRelinkingMainLoop MainLoop {
+      get { return RandomCreator.Successor as GRASPWithPathRelinkingMainLoop; }
+    }
+    #endregion
+
+    [Storable]
+    private BestAverageWorstQualityAnalyzer analyzer;
 
     [StorableConstructor]
@@ -112,4 +121,5 @@
     private GRASPWithPathRelinking(GRASPWithPathRelinking original, Cloner cloner)
       : base(original, cloner) {
+      analyzer = cloner.Clone(original.analyzer);
       RegisterEventHandlers();
     }
@@ -119,10 +129,14 @@
       Parameters.Add(new ValueParameter<IntValue>("Seed", "The random seed used to initialize the new pseudo random number generator."));
       Parameters.Add(new ValueParameter<MultiAnalyzer>("Analyzer", "The operator used to analyze each iteration.", new MultiAnalyzer()));
+      Parameters.Add(new ValueParameter<IntValue>("MaximumIterations", "The maximum number of iterations that the algorithm should run.", new IntValue(1000)));
       Parameters.Add(new FixedValueParameter<IntValue>("EliteSetSize", "The elite set stores the best found solutions.", new IntValue(10)));
-      Parameters.Add(new FixedValueParameter<IntValue>("LocalImprovementMaximumIterations", "The maximum number of iterations performed by the local improvement operator.", new IntValue(100)));
+      Parameters.Add(new FixedValueParameter<IntValue>("LocalImprovementMaximumIterations", "The maximum number of iterations performed by the local improvement operator.", new IntValue(1000)));
       Parameters.Add(new ConstrainedValueParameter<ILocalImprovementOperator>("LocalImprovement", "Performs a local search on the solution."));
-      Parameters.Add(new FixedValueParameter<IntValue>("MinimumEliteSetSize", "(ρ) The minimum amount of elites for performing path relinking.", new IntValue(1)));
+      Parameters.Add(new FixedValueParameter<IntValue>("MinimumEliteSetSize", "(ρ) The minimum amount of elites for performing path relinking.", new IntValue(2)));
       Parameters.Add(new ConstrainedValueParameter<ICrossover>("PathRelinking", "The operator that performs the path relinking."));
       Parameters.Add(new ConstrainedValueParameter<IMerger>("EliteSetMerger", "The operator that merges new solutions into the elite set."));
+
+      analyzer = new BestAverageWorstQualityAnalyzer();
+      Analyzer.Operators.Add(analyzer);
 
       RandomCreator randomCreator = new RandomCreator();
@@ -136,4 +150,12 @@
 
       var mainLoop = new GRASPWithPathRelinkingMainLoop();
+      mainLoop.AnalyzerParameter.ActualName = AnalyzerParameter.Name;
+      mainLoop.EliteSetMergerParameter.ActualName = EliteSetMergerParameter.Name;
+      mainLoop.EliteSetSizeParameter.ActualName = EliteSetSizeParameter.Name;
+      mainLoop.EvaluatedSolutionsParameter.ActualName = "EvaluatedSolutions";
+      mainLoop.LocalImprovementParameter.ActualName = LocalImprovementParameter.Name;
+      mainLoop.MaximumIterationsParameter.ActualName = MaximumIterationsParameter.Name;
+      mainLoop.PathRelinkingParameter.ActualName = PathRelinkingParameter.Name;
+      mainLoop.ResultsParameter.ActualName = "Results";
       randomCreator.Successor = mainLoop;
 
@@ -185,17 +207,18 @@
       Analyzer.Operators.Clear();
       if (Problem != null) {
-        foreach (IAnalyzer analyzer in Problem.Operators.OfType<IAnalyzer>()) {
-          foreach (var param in analyzer.Parameters.OfType<IScopeTreeLookupParameter>())
+        foreach (IAnalyzer a in Problem.Operators.OfType<IAnalyzer>()) {
+          foreach (var param in a.Parameters.OfType<IScopeTreeLookupParameter>())
             param.Depth = 1;
-          Analyzer.Operators.Add(analyzer);
+          Analyzer.Operators.Add(a);
         }
         InitializeFromInstallation(LocalImprovementParameter, x => x.ProblemType.IsAssignableFrom(Problem.GetType()));
         InitializeFromProblem(PathRelinkingParameter);
-        InitializeFromProblem(EliteSetReplacerParameter);
+        InitializeFromProblem(EliteSetMergerParameter);
       } else {
         LocalImprovementParameter.ValidValues.Clear();
         PathRelinkingParameter.ValidValues.Clear();
-        EliteSetReplacerParameter.ValidValues.Clear();
-      }
+        EliteSetMergerParameter.ValidValues.Clear();
+      }
+      Analyzer.Operators.Add(analyzer);
 
       Parameterize();
@@ -203,4 +226,10 @@
 
     private void Parameterize() {
+      if (Problem != null) {
+        MainLoop.EvaluatorParameter.ActualName = Problem.EvaluatorParameter.Name;
+        MainLoop.SolutionCreatorParameter.ActualName = Problem.SolutionCreatorParameter.Name;
+
+        analyzer.QualityParameter.ActualName = Problem.Evaluator.QualityParameter.ActualName;
+      }
       foreach (var localImprovement in LocalImprovementParameter.ValidValues) {
         localImprovement.MaximumIterationsParameter.ActualName = LocalImprovementMaximumIterationsParameter.Name;
@@ -210,8 +239,11 @@
           localImprovement.Problem = Problem;
       }
+      foreach (var merger in EliteSetMergerParameter.ValidValues) {
+        merger.PopulationSizeParameter.ActualName = EliteSetSizeParameter.Name;
+      }
     }
 
     private void InitializeFromProblem<T>(ConstrainedValueParameter<T> parameter) where T : class, INamedItem {
-      InitializeFromProblem(parameter, x => true);
+      InitializeFromProblem<T>(parameter, x => true);
     }
     private void InitializeFromProblem<T>(ConstrainedValueParameter<T> parameter, Func<T, bool> condition) where T : class, INamedItem {
@@ -228,5 +260,5 @@
     }
     private void InitializeFromInstallation<T>(ConstrainedValueParameter<T> parameter) where T : class, INamedItem {
-      InitializeFromInstallation(parameter, x => true);
+      InitializeFromInstallation<T>(parameter, x => true);
     }
     private void InitializeFromInstallation<T>(ConstrainedValueParameter<T> parameter, Func<T, bool> condition) where T : class, INamedItem {
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinkingMainLoop.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinkingMainLoop.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Algorithms/3.3/GRASPWithPathRelinkingMainLoop.cs	(revision 7412)
@@ -89,4 +89,8 @@
       variableCreator1.CollectedValues.Add(new ValueParameter<IntValue>("Iterations", new IntValue(0)));
 
+      var resultsCollector = new ResultsCollector();
+      resultsCollector.CopyValue = new BoolValue(false);
+      resultsCollector.CollectedValues.Add(new LookupParameter<IntValue>("Iterations"));
+
       var variableCreator2 = new VariableCreator();
       variableCreator2.Name = "ActualEliteSetSize = 0";
@@ -157,4 +161,8 @@
       placeholder2.OperatorParameter.ActualName = PathRelinkingParameter.Name;
 
+      var placeholder3 = new Placeholder();
+      placeholder3.Name = "(Evaluator)";
+      placeholder3.OperatorParameter.ActualName = EvaluatorParameter.Name;
+
       var subScopesRemover = new SubScopesRemover();
       subScopesRemover.RemoveAllSubScopes = true;
@@ -162,11 +170,11 @@
       var ssp4 = new SubScopesProcessor();
 
-      var placeholder3 = new Placeholder();
-      placeholder3.Name = "(LocalImprovement)";
-      placeholder3.OperatorParameter.ActualName = LocalImprovementParameter.Name;
-
       var placeholder4 = new Placeholder();
-      placeholder4.Name = "(EliteSetMerger)";
-      placeholder4.OperatorParameter.ActualName = EliteSetMergerParameter.Name;
+      placeholder4.Name = "(LocalImprovement)";
+      placeholder4.OperatorParameter.ActualName = LocalImprovementParameter.Name;
+
+      var placeholder5 = new Placeholder();
+      placeholder5.Name = "(EliteSetMerger)";
+      placeholder5.OperatorParameter.ActualName = EliteSetMergerParameter.Name;
 
       var counter = new IntCounter();
@@ -191,5 +199,6 @@
 
       OperatorGraph.InitialOperator = variableCreator1;
-      variableCreator1.Successor = variableCreator2;
+      variableCreator1.Successor = resultsCollector;
+      resultsCollector.Successor = variableCreator2;
       variableCreator2.Successor = subScopesCounter1;
       subScopesCounter1.Successor = comparator1;
@@ -200,5 +209,5 @@
       ssp1.Operators.Add(eo1);
       ssp1.Operators.Add(solutionsCreator);
-      ssp1.Successor = placeholder4;
+      ssp1.Successor = placeholder5;
       eo1.Successor = null;
       solutionsCreator.Successor = subScopesCounter2;
@@ -216,9 +225,10 @@
       ssp3.Operators.Add(placeholder2);
       ssp3.Successor = null;
-      placeholder2.Successor = subScopesRemover;
+      placeholder2.Successor = placeholder3;
+      placeholder3.Successor = subScopesRemover;
       subScopesRemover.Successor = null;
-      ssp4.Operators.Add(placeholder3);
+      ssp4.Operators.Add(placeholder4);
       ssp4.Successor = null;
-      placeholder4.Successor = counter;
+      placeholder5.Successor = counter;
       counter.Successor = analyzer1;
       analyzer1.Successor = comparator3;
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common-3.3.csproj
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common-3.3.csproj	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common-3.3.csproj	(revision 7412)
@@ -90,4 +90,5 @@
     <Compile Include="ExtensionMethods.cs" />
     <Compile Include="IMerger.cs" />
+    <Compile Include="IntegerVectorEqualityComparer.cs" />
     <Compile Include="Plugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IMerger.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IMerger.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IMerger.cs	(revision 7412)
@@ -21,7 +21,9 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Data;
 
 namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common {
   public interface IMerger : IOperator {
+    ILookupParameter<IntValue> PopulationSizeParameter { get; }
   }
 }
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IntegerVectorEqualityComparer.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IntegerVectorEqualityComparer.cs	(revision 7412)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common/3.3/IntegerVectorEqualityComparer.cs	(revision 7412)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.Encodings.IntegerVectorEncoding;
+
+namespace HeuristicLab.Problems.GeneralizedQuadraticAssignment.Common {
+  public class IntegerVectorEqualityComparer : EqualityComparer<IntegerVector> {
+    public override bool Equals(IntegerVector x, IntegerVector y) {
+      if (x == null || y == null) return false;
+      if (x.Length != y.Length) return false;
+
+      for (int i = 0; i < x.Length; i++)
+        if (x[i] != y[i]) return false;
+
+      return true;
+    }
+
+    public override int GetHashCode(IntegerVector obj) {
+      return obj.GetHashCode();
+    }
+  }
+}
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.Designer.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.Designer.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.Designer.cs	(revision 7412)
@@ -56,8 +56,9 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.assignmentTreeView.Location = new System.Drawing.Point(3, 52);
+      this.assignmentTreeView.Location = new System.Drawing.Point(3, 50);
+      this.assignmentTreeView.Margin = new System.Windows.Forms.Padding(3, 6, 3, 3);
       this.assignmentTreeView.Name = "assignmentTreeView";
-      this.assignmentTreeView.Size = new System.Drawing.Size(349, 329);
-      this.assignmentTreeView.TabIndex = 0;
+      this.assignmentTreeView.Size = new System.Drawing.Size(349, 331);
+      this.assignmentTreeView.TabIndex = 3;
       // 
       // label1
@@ -67,5 +68,5 @@
       this.label1.Name = "label1";
       this.label1.Size = new System.Drawing.Size(42, 13);
-      this.label1.TabIndex = 1;
+      this.label1.TabIndex = 0;
       this.label1.Text = "Quality:";
       // 
@@ -77,13 +78,13 @@
       this.qualityTextBox.Name = "qualityTextBox";
       this.qualityTextBox.Size = new System.Drawing.Size(301, 20);
-      this.qualityTextBox.TabIndex = 2;
+      this.qualityTextBox.TabIndex = 1;
       // 
       // label2
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(3, 36);
+      this.label2.Location = new System.Drawing.Point(3, 31);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(64, 13);
-      this.label2.TabIndex = 1;
+      this.label2.TabIndex = 2;
       this.label2.Text = "Assignment:";
       // 
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/GQAPAssignmentView.cs	(revision 7412)
@@ -66,6 +66,6 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      qualityTextBox.Enabled = !ReadOnly && !Locked && Content != null;
-      assignmentTreeView.Enabled = !ReadOnly && !Locked && Content != null;
+      qualityTextBox.Enabled = false;
+      assignmentTreeView.Enabled = true;
     }
 
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views-3.3.csproj
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views-3.3.csproj	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views/3.3/HeuristicLab.Problems.GeneralizedQuadraticAssignment.Views-3.3.csproj	(revision 7412)
@@ -38,6 +38,10 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Common.Resources-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common.Resources-3-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
       <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
@@ -49,5 +53,7 @@
       <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Encodings.IntegerVectorEncoding-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Encodings.IntegerVectorEncoding-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.IntegerVectorEncoding-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
@@ -56,8 +62,16 @@
       <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Operators-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.Parameters-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Operators-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Operators-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Optimization-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Parameters-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Parameters-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
Index: /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Analyzers/BestGQAPSolutionAnalyzer.cs
===================================================================
--- /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Analyzers/BestGQAPSolutionAnalyzer.cs	(revision 7411)
+++ /branches/GeneralizedQAP/HeuristicLab.Problems.GeneralizedQuadraticAssignment/3.3/Analyzers/BestGQAPSolutionAnalyzer.cs	(revision 7412)
@@ -98,5 +98,5 @@
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       // BackwardsCompatibility3.3
       #region Backwards compatible code, remove with 3.4
